/*
===============================================================================

	FILE:	loader.h
	
	CONTENTS:
	
		Face Fixer - SIGGRAPH 2000 demonstration software
	
	PROGRAMMERS:
	
		Martin Isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		Copyright (C) 2000  Martin Isenburg (isenburg@cs.unc.edu)
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
		28 April 2000 -- Martin - finalized for SIGGRAPH submission.
	
===============================================================================
*/
#ifndef FF_LOADER_HPP
#define FF_LOADER_HPP

class FFmesh;

class FFloader
{
public:
  int loadMtl(char*, FFmesh*);
  int loadObj(char*, FFmesh*);
  
  FFloader();
  ~FFloader();
};

#endif
