/*
===============================================================================

	FILE:	material.h
	
	CONTENTS:
	
		Face Fixer - SIGGRAPH 2000 demonstration software
	
	PROGRAMMERS:
	
		Martin Isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		Copyright (C) 2000  Martin Isenburg (isenburg@cs.unc.edu)
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
		28 April 2000 -- Martin - finalized for SIGGRAPH submission.
	
===============================================================================
*/
#ifndef FF_MATERIAL_H
#define FF_MATERIAL_H

class FFmaterial
{
public:
  char name[128];
  float a[4];
  float d[4];
  float s[4];
  float e[4];
  float sn;

  FFmaterial();
  FFmaterial(char*);
  ~FFmaterial();
};

#endif
